/**
  *  \file util/progress.h
  *  \brief Progress Monitor
  *
  *  (c) 2001-2008 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UTIL_PROGRESS_H
#define PCC_V2_UTIL_PROGRESS_H

#include "cpluslib/sigslot.h"

class ProgressMonitor {
    void operator=(const ProgressMonitor&);
    ProgressMonitor(const ProgressMonitor&);
 public:
    ProgressMonitor();
    ~ProgressMonitor();
    void tick();
    Signal0 sig_tick;
};

#endif
